import { RuntimeO2MField, SubmitValue } from '@oinone/kunlun-engine';
import { FormRelationFieldCheckboxWidget } from '../../abstract/checkbox';
export declare class FormO2MCheckboxFieldWidget extends FormRelationFieldCheckboxWidget<RuntimeO2MField> {
    initialize(props: any): this;
    submit(submitValue: SubmitValue): Promise<Record<string, unknown> | undefined>;
}
